complexType "Return"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 2 elements
Defined: | globally in fpml-eq-shared-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | returnType, dividendConditions?
</...>

Content Model Elements (2):

  dividendConditions (in return), | returnType

All Direct / Indirect Based Elements (1):

  return

Known Usage Locations

- As direct type of elements (1):
  return

Annotation
A type describing the dividend return conditions applicable to the swap.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="Return"> <xsd:sequence> <xsd:element name="returnType" type="ReturnTypeEnum"/> <xsd:element minOccurs="0" name="dividendConditions" type="DividendConditions"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
dividendConditions

  Type: | DividendConditions, complex content

  Specifies the conditions governing the payment of the dividends to the receiver of the equity return. With the exception of the dividend payout ratio, which is defined for each of the underlying components.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dividendConditions" type="DividendConditions"/>

returnType

  Type: | ReturnTypeEnum, simple content

  Defines the type of return associated with the return swap.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Dividend" | - | Dividend return swap. See: http://www.FpML.org
  "Price" | - | Price return swap. See: http://www.FpML.org
  "Total" | - | Total return swap. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="returnType" type="ReturnTypeEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.